package com.xisc.pm.infra.repository.impl;

import com.xisc.pm.domain.repository.MmPlateRepository;
import com.xisc.pm.domain.vo.MmPlateVO;
import com.xisc.pm.domain.vo.MmRollingVo;
import com.xisc.pm.infra.mapper.PmMmPlateMapper;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 钢板主数据表(MmPlate)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-14 15:37:09
 */
@Component
public class MmPlateRepositoryImpl extends BaseRepositoryImpl<MmPlateVO> implements MmPlateRepository {
    @Resource
    private PmMmPlateMapper pmMmPlateMapper;

    @Override
    public List<MmPlateVO> selectList(MmPlateVO mmPlateVO) {
        return pmMmPlateMapper.selectList(mmPlateVO);
    }

    @Override
    public MmPlateVO selectByPrimary(Long plateId) {
        MmPlateVO mmPlateVO = new MmPlateVO();
        mmPlateVO.setPlateId(plateId);
        return pmMmPlateMapper.selectMmPlatePrimary(mmPlateVO);
    }

    @Override
    public List<MmPlateVO> surplusSteelPlateList(MmPlateVO dto) {
        return pmMmPlateMapper.surplusSteelPlateList(dto);
    }

    @Override
    public MmRollingVo selectMmRolling(Long tenantId, String matNo, String prodYear, String rollLineNo) {
        return pmMmPlateMapper.selectMmRolling(tenantId , matNo , prodYear , rollLineNo);
    }

    @Override
    public List<MmPlateVO> getMmPlateByMatNo(List<String> matNoList, Long tenantId) {
        return pmMmPlateMapper.getMmPlateByMatNo(matNoList, tenantId);
    }

    @Override
    public List<MmPlateVO> getMmPlateByPrimaryPlateId(List<Long> mmPlateIdList, Long tenantId) {
        return pmMmPlateMapper.getMmPlateByPrimaryPlateId(mmPlateIdList, tenantId);
    }
}
